# Method: projects.tenants.companies.delete

- [HTTP request](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/delete#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/delete#try-it)

Deletes specified company. Prerequisite: The company has no jobs associated with it.

### HTTP request

`DELETE https://jobs.googleapis.com/v4beta1/{name=projects/*/tenants/*/companies/*}`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the company to be deleted. The format is "projects/{projectId}/tenants/{tenantId}/companies/{company_id}", for example, "projects/foo/tenants/bar/companies/baz". If tenant id is unspecified, the default tenant is used, for example, "projects/foo/companies/bar". |

### Request body

The request body must be empty.

### Response body

If successful, the response body will be empty.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/jobs`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).